<?php require_once('../../Connections/cn.php'); ?>
<?php 
session_start();
$lapso_actual=$_SESSION['lapso_actual'];
 
header("Content-Type:text/html; charset=utf-8");
//Aqui quito caracteres que estan demas en el filtro que viene de otra pagina 
$sqlr = str_replace("`", "", $sqlr); 
$sqlr = str_replace("\'", '"', $sqlr);

$sede=$_GET['sede'];
$carrera=$_GET['carrera'];
$id_periodo=$_GET['id_periodo'];
$seccion=$_GET['seccion'];

// echo 'SECCION: '.$seccion;

// Selecciono la Base de Datos. 
mysql_select_db($database_cn); 
//mysql_query ("SET NAMES 'utf8'");
// Datos de la Materia.
$sql1 = "select nombre_sede from sedes where codigo='$sede'";
$rs1=mysql_query($sql1,$cn);
$row1=mysql_fetch_array($rs1);
$nom_sede=$row1['nombre_sede'];

// Datos de la Carrera.
$sql3 = "select nombre_carrera from carreras where id_carrera='$carrera'";
$rs3=mysql_query($sql3,$cn);
$row3=mysql_fetch_array($rs3);
$nom_carrera=$row3['nombre_carrera'];

// Incluye la calses que se requieren para el reporte. 
error_reporting(E_ALL); 
include('class.ezpdf.php'); 
require('numerosALetras.class.php');

// Se establece el tipo de p�gina y el formato de impresi�n.
$pdf = & new Cezpdf('LETTER','landscape'); 
$pdf->selectFont('./fonts/Helvetica'); 
// Se inicializa el contador de paginas en 1 y se especifica en que lugar se va a imprimir 
$pdf->ezStartPageNumbers(745,15,9,'','{PAGENUM}/{TOTALPAGENUM}',1); 

// coloca una linea arriba y abajo de todas las paginas 
$fechs = date("d/m/y"); 
$all = $pdf->openObject(); 
$pdf->saveState(); 
$pdf->setStrokeColor(0,0,0,1); 
// Se define el query de los datos que contendr� el reporte.
mysql_select_db($database_cn, $cn);
//mysql_query ("SET NAMES 'utf8'");
$query = "Select distinct
deudas.id_alumno,
deudas.cedula,
deudas.cuota1,
deudas.cuota2,
deudas.cuota3,
deudas.cuota1+deudas.cuota2+deudas.cuota3 AS saldo,
deudas.situacion,
deudas.participante,
carreras_alumno.periodo_ingreso
From
deudas
Inner Join carreras_alumno ON 
(deudas.id_alumno = carreras_alumno.id_alumno 
AND deudas.id_carrera = carreras_alumno.cod_carrera)
Inner Join historial_alumnos ON 
(deudas.id_alumno = historial_alumnos.id_alumno 
AND deudas.id_carrera =historial_alumnos.id_carrera) 
WHERE historial_alumnos.id_periodo='$lapso_actual' AND deudas.id_sede='$sede'";

if($id_periodo!=0){
   $query=$query." AND carreras_alumno.periodo_ingreso='$id_periodo'";
}


if($seccion!='0'){
   $query=$query." AND carreras_alumno.grupo='$seccion'";
}
else{
   $seccion="TODAS";
}

 
if($carrera!=0){
   $query=$query." AND carreras_alumno.cod_carrera = '$carrera'";
 }
 else{
     $nom_carrera="TODOS";
}	
 
$cohorte="TODAS";
if($id_periodo!=0){
   // Datos de las Materias
	$queryPeriodo = "SELECT codigo FROM periodos Where id_periodo='$id_periodo'";
	$rstPeriodo = mysql_query($queryPeriodo, $cn) or die(mysql_error());
	$rowPeriodo = mysql_fetch_assoc($rstPeriodo);
	$cohorte=$rowPeriodo['codigo'];
}

$query=$query." ORDER BY carreras_alumno.periodo_ingreso,deudas.participante";

// Ejecuta el Query.
$result = mysql_query ($query ) or die (mysql_error()); 
// Numero de Filas.
$totalRows = mysql_num_rows($result);


// Inicio del Encabezado.
$imagen=ImageCreatefromjpeg('../../imagenes/ulac.jpg');
$pdf->addImage($imagen,35,$pdf->y-55,100,0);

$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));

$pdf->ezText("                          UNIVERSIDAD LATINOAMERICANA Y DEL CARIBE",14,array('justification'=>'left'));
$pdf->ezsetdy(-15);
$pdf->ezText("RELACION DE DEUDAS AL ".date("d/m/Y"),16,array('justification'=>'center'));
$pdf->ezsetdy(-20);
$pdf->ezText("       SEDE: ".$nom_sede,12,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText("       PROGRAMA: ".utf8_decode($nom_carrera),12,array('justification'=>'left'));
$pdf->ezsetdy(-2);
$pdf->ezText("       COHORTE: ".$cohorte.utf8_decode('  SECCIÓN: ').$seccion,12,array('justification'=>'left'));


$pdf->ezsetdy(-6);
// Fin del Encabezado.
// Inicio del Pie de P�gina.
pie_pagina($pdf);
// Fin del Pie de P�gina.

// Se restaura el objeto y se cierra, para que de el salto de p�gina.
$pdf->restoreState(); 
$pdf->closeObject(); 
// Establece los margenes para imprimir el cuerpo del reporte.
$pdf->ezSetCmMargins(5.4,2.5,3.5,3);
$pdf->addObject($all,'all'); 

// Inicializa array 
$data = array(); 
//Aqui se coloca el header de la Tabla
if($id_periodo==0){ 
$cols = array('nro'=>'Nro.',  
              'cedula'=>utf8_decode('Cédula   '),
			  'alumno'=>'Apellidos y Nombres del Participante', 
			  'cohorte'=>'Cohorte', 
              'cuota1'=>utf8_decode('Cuota 1'),
			  'cuota2'=>utf8_decode('Cuota 2'),
			  'cuota3'=>utf8_decode('Cuota 3'),
			  'saldo'=>'Total Deuda');
}
else{
$cols = array('nro'=>'Nro.',  
              'cedula'=>utf8_decode('Cédula   '),
			  'alumno'=>'Apellidos y Nombres del Participante', 
              'cuota1'=>utf8_decode('Cuota 1'),
			  'cuota2'=>utf8_decode('Cuota 2'),
			  'cuota3'=>utf8_decode('Cuota 3'),
			  'saldo'=>'Total Deuda');

}
 
$smc = 0; 
$creditos=0;
$deudaCuota1=0;
$deudaCuota2=0;
$deudaCuota3=0;

$total_deuda=0;
while ($row = mysql_fetch_row($result)) { 
    
    $cedula   = $row[1];    
    $cuota1      = $row[2];   
	$cuota2      = $row[3];
    $cuota3      = $row[4];
	$saldo    = $row[5];
	$situacion= $row[6]; 
	$alumno       = utf8_decode($row[7]);
	$periodo= $row[8]; 
	// Datos de las Materias
	$queryPeriodo = "SELECT codigo FROM periodos Where id_periodo='$periodo'";
	$rstPeriodo = mysql_query($queryPeriodo, $cn) or die(mysql_error());
	$rowPeriodo = mysql_fetch_assoc($rstPeriodo);
	$cohorte=$rowPeriodo['codigo'];
	
	$deudaCuota1=$deudaCuota1+$cuota1;
	$deudaCuota2=$deudaCuota2+$cuota2;
	$deudaCuota3=$deudaCuota3+$cuota3;
	$total_deuda=$total_deuda+$saldo;
    $smc = $smc + 1; 
    // Aqui se agregan las variables formateadas al array 
	if($id_periodo==0){
       $data[] = array('nro'=>$smc,
                    'cedula'=>$cedula,
					'alumno'=>$alumno, 
					'cohorte'=>$cohorte, 
                    'cuota1'=>number_format($cuota1,2,",","."),
					'cuota2'=>number_format($cuota2,2,",","."),
					'cuota3'=>number_format($cuota3,2,",","."),
					'saldo'=>number_format($saldo,2,",","."));
	}
	else{
	    $data[] = array('nro'=>$smc,
                    'cedula'=>$cedula,
					'alumno'=>$alumno, 
                    'cuota1'=>number_format($cuota1,2,",","."),
					'cuota2'=>number_format($cuota2,2,",","."),
					'cuota3'=>number_format($cuota3,2,",","."),
					'saldo'=>number_format($saldo,2,",","."));
	}				
} 
// Imprime los totales.
if($id_periodo==0){
$data[] = array('nro'=>'',
                    'cedula'=>'TOTALES:',
					'alumno'=>'', 
					'cohorte'=>'',  
                     'cuota1'=>number_format($deudaCuota1,2,",","."),
					'cuota2'=>number_format($deudaCuota2,2,",","."),
					'cuota3'=>number_format($deudaCuota3,2,",","."),
					'saldo'=>number_format($total_deuda,2,",","."));  
}
else{
$data[] = array('nro'=>'',
                    'cedula'=>'',
					'alumno'=>'                                                                                    TOTALES:',   
                    'cuota1'=>number_format($deudaCuota1,2,",","."),
					'cuota2'=>number_format($deudaCuota2,2,",","."),
					'cuota3'=>number_format($deudaCuota3,2,",","."),
					'saldo'=>number_format($total_deuda,2,",","."));  

}

if($id_periodo==0){					
$pdf->ezTable($data,$cols,'',array('width'=>'700','fontSize'=>10, 
'cols'=>array('nro'=>array('justification'=>'center')  
             ,'cedula'=>array('justification'=>'right')
			 ,'alumno'=>array('justification'=>'left')
			 ,'cohorte'=>array('justification'=>'center') 
             ,'cuota1'=>array('justification'=>'right')
			 ,'cuota2'=>array('justification'=>'right')
			 ,'cuota3'=>array('justification'=>'right')
			 ,'saldo'=>array('justification'=>'right')) 
));// salida 
}
else{
$pdf->ezTable($data,$cols,'',array('width'=>'700','fontSize'=>10, 
'cols'=>array('nro'=>array('justification'=>'center')  
             ,'cedula'=>array('justification'=>'right')
			 ,'alumno'=>array('justification'=>'left') 
             ,'cuota1'=>array('justification'=>'right')
			 ,'cuota2'=>array('justification'=>'right')
			 ,'cuota3'=>array('justification'=>'right')
			 ,'saldo'=>array('justification'=>'right')) 
));// salida 
}

if (isset($d) && $d){ 
	$pdfcode = $pdf->ezOutput(); 
	$pdfcode = str_replace('\n','\n<br>',htmlspecialchars($pdfcode)); 
	echo '<html><body>'; 
	echo trim($pdfcode); 
	echo '</body></html>'; 
} else { 
	$pdf->ezStream(); 
} 

function pie_pagina($pdf)
{
    // Facilitador(a).
    $pdf->Rectangle(50,25,700,40);
    $pdf->addText(55,55,10,'ENTREGADO POR:');
	$pdf->addText(405,55,10,'RECIBIDO EN CONTABILIDAD POR');
	$pdf->addText(600,55,10,'FECHA');
	$pdf->line(400,65,400,25); 
}
?> 